%global eclipse_base    %{_libdir}/eclipse
%global install_loc     %{_datadir}/eclipse/dropins/mercurial
# Taken from update site so we match upstream
%global qualifier       v201104191217

Name:           eclipse-mercurial
Version:        1.8.1
Release:        6%{?dist}
Summary:        Eclipse Mercurial plugin
License:        EPL
URL:            http://javaforge.com/project/HGE
Group:          Development/Tools

# Tar file generated from Mercurial repository (tag 1.8.1)
# by:
#   bash get-eclipse-mercurial-sources.sh 1.8.1
# retrieved the plug-in from http://www.javaforge.com/project/HGE, RELEASE_1.8.1
# At the moment upstream does not have a feature project in their repository. 
# Therefore we did the following steps in the script to get the corresponding feature:
#   -retrieved the feature from: 
#      https://hg.codespot.com/a/eclipselabs.org/mercurialeclipse.wiki
#   -changed the version from 1.9.0 to 1.8.1
# Once the issue#17846: http://www.javaforge.com/issue/17846?orgDitchnetTabPaneId=task-details-comments
# is resoloved, we can remove this.
Source0:        eclipse-mercurial-1.8.1.tar.bz2
Source1:        get-eclipse-mercurial-sources.sh

BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  eclipse-platform >= 1:3.4.0
BuildRequires:  eclipse-pde >= 1:3.4.0
BuildRequires:  eclipse-mylyn >= 3.5.1
BuildRequires:  eclipse-mylyn-context-team >= 3.5.1

Requires:       eclipse-platform >= 1:3.5.0     
Requires:       eclipse-mylyn >= 3.5.1
Requires:       eclipse-mylyn-context-team >= 3.5.1

BuildArch:      noarch

%description
Eclipse plugins to interact with Mercurial Repositories.

%prep
%setup -q -n eclipse-mercurial-%{version}

%build
%{eclipse_base}/buildscripts/pdebuild -f mercurialeclipse \
  -a "-DjavacSource=1.6 -DjavacTarget=1.6 -DforceContextQualifier=%{qualifier}" \
  -d "mylyn mylyn-context-team"

%install
install -d -m 755 %{buildroot}%{install_loc}

# mercurial main feature
unzip -q -d %{buildroot}%{install_loc}/ \
    build/rpmBuild/mercurialeclipse.zip

%files
%{install_loc}
%doc mercurial/LICENSE

%changelog
* Mon Jun 20 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-6
- Added the upstream feature 

* Thu Jun 16 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-5
- removed epl, fixed the feature version

* Thu Jun 16 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-4
- added the epl documentation the feature

* Tue Jun 14 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-3
- Modifying the url to feature tar ball

* Tue Jun 14 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-2
- Added more required packages, version qualifier of the upstream.

* Thu Jun 9 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-1
- Initial Release
